| GET | /api/search |
Global command-palette search
GET/api/search
Global command-palette search. Role gating is enforced inside searchService (per-type, so lower roles simply get empty arrays for gated types rather than a 403 for the whole endpoint).
Authentication: bearer token.
Permission: any signed-in user.
Rate limit: 100 requests per minute per IP address.
Query parameters
| Name | Type | Required | Notes |
|---|---|---|---|
q | string | Yes | 2–100 characters. |
limit | number | No | Default 5. 1–20. |
bash
curl -X GET "https://shellius.example.com/api/search" \
-H "Authorization: Bearer $SHELLIUS_TOKEN"200 OK
json
{ "success": true, "data": { … } }